<?php
class Auth extends Controller {

	function Auth()
	{
		parent::Controller();
	}
	
	function index()
	{
		// Request the auxiliar files
		$this->load->helper('form');
		$this->load->model('authmodel','',true);
		$this->load->library('form_validation');
		
		// Set the validation rules
		$this->form_validation->set_rules('user','Login','required');
		$this->form_validation->set_rules('password','Senha','required');
		
		// If validation fail, show the form again
		if ($this->form_validation->run() == FALSE)
		{
			$this->load->view('common/header');
			$this->load->view('common/top');
			$this->load->view('auth/formlogin.php');
		}
		else
		{
			// Try to login
			$info_login = $this->authmodel->login();
			// If the login was ok
			if($info_login)
			{
				// Load the user to the session, except the field 'password'
				unset($info_login['password']);
				$this->session->set_userdata($info_login);
				//$this->load->helper('url');
				// Redirect to base_url
				redirect(base_url());
			}
			else{
				// Show the error message and destroy the session, showing the form again
				echo "Usurio ou senha invlidos";
				$this->session->sess_destroy();
				$this->load->view('auth/formlogin.php');
			}
		}
	}
	
	function logout(){
		$this->load->model('authmodel');
		$this->authmodel->logout();
		redirect(site_url('auth/'));
	}
}